Bug 278501 - nokia n900 maemo version, 'search' hangs
Summary: nokia n900 maemo version, 'search' hangs
Status: REOPENED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Maemo 5 Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-25 20:44 UTC by bugspamme2012
Modified: 2021-03-09 22:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugspamme2012 2011-07-25 20:44:52 UTC
Version:           unspecified (using KDE 1.2) 
OS:                other

searching for something that returns 0 results hangs the search function when the search is immediately rerun

Reproducible: Always

Steps to Reproduce:
click 'work offline' to go offline
close app
open app
click 'goto..'
enter a location that returns 0 results
tap on search box
press enter once again
search hangs

Actual Results:  
need to press spinning dots to get out of hang and then enter different location that returns results.

Expected Results:  
simply say no results found

i may open a seperate bug for this but:
after zero results are found in offline mode due to case sensitive search, when i switch to 'online' mode by clicking the toggle 'work offline' button the search hangs when i press enter once again (exactly as above)with spinning dots.
when i close the app and open it again it starts up in online mode as expected and when i enter the exact same search term, it finds it ok this time without spinning dots.
Comment 1 bugspamme2012 2011-07-25 20:52:57 UTC
nokia n900 meamo version
Comment 2 Bernhard Beschow 2013-03-05 18:00:50 UTC

*** This bug has been marked as a duplicate of bug 257376 ***
Comment 3 Bernhard Beschow 2013-03-05 18:06:05 UTC
Not a duplicate.
Comment 4 Justin Zobel 2021-03-09 22:51:25 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.